Skip to content

CIS-CAT Assessor

The CIS-CAT Assessor resource enables you to view a list of and download available versions of CIS-CAT Pro Assessor and CIS-CAT Lite Assessor.

What is CIS-CAT Assessor?

CIS-CAT Assessor is a Java-based tool that scans against a target system's configuration settings and reports the system's compliance to the corresponding CIS Benchmark.

CIS-CAT Assessor typically scans in just a few minutes, saving users hours of tedious manual configuration review.

CIS-CAT Pro Assessor is available to SecureSuite Members only and offers full functionality. CIS-CAT Lite Assessor is available to the general public and offers limited functionality. For more information, refer to Download CIS-CAT Lite Assessor or inquire about SecureSuite Memberships.


List Available CIS-CAT Versions

GET /cis-cat/versions

View the list of CIS-CAT Pro and Lite Assessor versions available for download.

Request

N/A

Response

Returns a list of versions of CIS-CAT available for download.

Properties

Media type: application/json

pro
Array
A JSON array containing entries naming the CIS-CAT Pro Assessor versions available for download.
name
string
The name of the CIS-CAT release.
path
string
The path, relative to the base URL, which can be used to download the specified version.
lite
Array
A JSON array containing entries naming the CIS-CAT Lite versions available for download.
name
string
The name of the CIS-CAT release.
path
string
The path, relative to the base URL, which can be used to download the specified version.

Example

Request - cURL
curl -X GET "https://workbench.cisecurity.org/api/vendor/v1/cis-cat/versions"
Response - 200 OK
{
"pro": [
    {
    "name": "CIS-CAT Pro Assessor v4.1.0",
    "path": "/cis-cat/pro/4.1.0"
    },
    {
    "name": "CIS-CAT Pro Assessor v4.2.0",
    "path": "/cis-cat/pro/4.2.0"
    },
    {
    "name": "CIS-CAT Pro Assessor v4.3.0",
    "path": "/cis-cat/pro/4.3.0"
    },
    {
    "name": "CIS-CAT Pro Assessor v4.4.0",
    "path": "/cis-cat/pro/4.4.0"
    }
],
"lite": [
    {
    "name": "CIS-CAT Lite Assessor v4.3.0",
    "path": "/cis-cat/lite/4.3.0"
    },
    {
    "name": "CIS-CAT Lite Assessor v4.4.0",
    "path": "/cis-cat/lite/4.4.0"
    }
]
}

CIS-CAT Pro Assessor

List Available Bundles

GET /cis-cat/pro/{version}/bundles

View a list of the available bundles for a CIS-CAT Pro Assessor version.

Note

Use the List Available Versions endpoint to view a list of available versions.

Request

Header Parameters
X-SecureSuite-Token
string
The token received from a successful license key verification, e.g., 12347b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748
Path Parameters
version
string
The version number identifier for the CIS-CAT Assessor version, e.g., '4.1.0'.

Response

Returns the bundle options available for the specified CIS-CAT Pro Assessor version.

Media type: application/json

Example

Request - cURL
curl -X GET ^
  -H "X-SecureSuite-Token: 15638e93802ti234" ^
  "https://workbench.cisecurity.org/api/vendor/v1/cis-cat/pro/4.59.0/bundles"
Response - 200 OK
{
"linux":[
    {
        "name":"CIS-CAT Pro Assessor 4.40.0 Linux - Graphical User Interface not included with Java",
        "path":"\/api\/vendor\/v1\/cis-cat\/pro\/4.40.0\/linux\/with_java\/without_gui"
    },
    {   
        "name":"CIS-CAT Pro Assessor 4.40.0 Linux - Graphical User Interface not included without Java",
        "path":"\/api\/vendor\/v1\/cis-cat\/pro\/4.40.0\/linux\/without_java\/without_gui"
    }
],
"mac":[
    {
        "name":"CIS-CAT Pro Assessor 4.40.0 Mac - Graphical User Interface included with Java",
        "path":"\/api\/vendor\/v1\/cis-cat\/pro\/4.40.0\/mac\/with_java\/with_gui"
    },
    {
        "name":"CIS-CAT Pro Assessor 4.40.0 Mac - Graphical User Interface not included with Java",
        "path":"\/api\/vendor\/v1\/cis-cat\/pro\/4.40.0\/mac\/with_java\/without_gui"
    },
    {
        "name":"CIS-CAT Pro Assessor 4.40.0 Mac - Graphical User Interface not included without Java",
        "path":"\/api\/vendor\/v1\/cis-cat\/pro\/4.40.0\/mac\/without_java\/without_gui"
    }
],
"windows":[
    {
        "name":"CIS-CAT Pro Assessor 4.40.0 Windows - Graphical User Interface included with Java",
        "path":"\/api\/vendor\/v1\/cis-cat\/pro\/4.40.0\/windows\/with_java\/with_gui"
    },
    {
        "name":"CIS-CAT Pro Assessor 4.40.0 Windows - Graphical User Interface not included with Java",
        "path":"\/api\/vendor\/v1\/cis-cat\/pro\/4.40.0\/windows\/with_java\/without_gui"
    },
    {
        "name":"CIS-CAT Pro Assessor 4.40.0 Windows - Graphical User Interface not included without Java",
        "path":"\/api\/vendor\/v1\/cis-cat\/pro\/4.40.0\/windows\/without_java\/without_gui"
    }
]
}


Download Latest Version

GET /cis-cat/pro/latest

Download the latest version of CIS-CAT Pro Assessor.

Request

Header Parameters
X-SecureSuite-Token
string
The token received from a successful license key verification, e.g., 12347b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748

Response

Returns a ZIP bundle with the requested CIS-CAT Pro Assessor release version.

Media type: /application/zip

Example

Request - cURL
curl -X GET ^
  -H "X-SecureSuite-Token: 15638e93802ti234" ^
  "https://workbench.cisecurity.org/api/vendor/v1/cis-cat/pro/latest"

Download Specific Version

GET /cis-cat/pro/{version}/{operatingSystem}/{java}/{gui}

Download a specified version of CIS-CAT Pro Assessor.

Tip

Use the List Available Bundles to view a list of available bundles for a particular CIS-CAT version.

Request

Header Parameters
X-SecureSuite-Token
string
The token received from a successful license key verification, e.g., 12347b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748
Path Parameters
version
string
The version number for the CIS-CAT Pro Assessor bundle to be downloaded, e.g., 4.1.0.
operatingSystem
string
The operating system of the bundle to be downloaded.

Options: windows, linux, or macos
java
string
Whether the bundle to be downloaded should include Java or not.

Options: with_java or without_java
gui
string
Whether the bundle to be downloaded should include the GUI or not.

Options: with_gui or without_gui

Note

Providing the version number without specifying the operating system, java, and gui parameters will default to the Windows with Java with GUI bundle.

Response

Returns a ZIP bundle with the requested CIS-CAT Pro Assessor release version.

Media type: /application/zip

Example

Request - cURL
curl -X GET ^
  -H "X-SecureSuite-Token: 15638e93802ti234" ^
  "https://workbench.cisecurity.org/api/vendor/v1/cis-cat/pro/4.59.0/windows/with_java/with_gui"

CIS-CAT Lite Assessor

CIS-CAT Lite is a free, limited version for testing, providing HTML reports for a few key OS/platforms (e.g., Windows 10, Chrome, Ubuntu) and limited to GUI.

Download Latest Version

GET /cis-cat/lite/latest

Download the latest version of CIS-CAT Lite Assessor.

Request

N/A

Response

Returns a ZIP bundle with the latest version of CIS-CAT Lite Assessor release version.

Media Type: /application/zip

Example

Request - cURL
curl -X GET "https://workbench.cisecurity.org/api/vendor/v1/cis-cat/lite/latest"

Download Specific Version

GET /cis-cat/lite/{version}

Download a specified version of CIS-CAT Lite Assessor.

Request

Path Parameters
version
string
The version number identifier for the CIS-CAT Lite Assessor bundle to be downloaded, e.g., 4.1.0.

Response

Returns a ZIP bundle with the requested CIS-CAT Lite Assessor release version.

Media type: /application/zip

Example

Request - cURL
curl -X GET "https://workbench.cisecurity.org/api/vendor/v1/cis-cat/lite/1.0.0"

Download the CIS-CAT Assessor Pro and Lite SBOM

GET /cis-cat/sbom

Get the SBOM (Software Bill of Materials) of the latest version of CIS-CAT.

Request

N/A

Response

Returns a ZIP bundle with the requested CIS-CAT Assessor SBOM file.

Media type: /application/zip

Example

Request - cURL
curl -X GET "https://workbench.cisecurity.org/api/vendor/v1/cis-cat/sbom"